Vimexx Facebook

Onderwerp: NO SUPPORT OF TLSv1.3

22-02-2020 11:11

Ben momenteel druk bezig met SSL Security Test of nieuwsberichten.eu op deze website

De server ondersteunt geen TLSv1.3, de enige versie van TLS die momenteel geen bekende fouten of exploiteerbare zwakke punten heeft.

Kan deze toegevoegd worden, mijn dank is groot zoals gebruikelijk?

24-02-2020 16:04
#2455

De servers van Vimexx zijn voorzien van TLS 1.1 en TLS 1.2 en wellicht binnenkort ook TLS 1.3, echter even te zoeken op internet kom ik er achter dat al vanaf 2018 deze versie uitgebracht is???

De komst van TLS 1.3

Eerder deze maand werd TLS 1.3 goedgekeurd, ondanks zorgen van netwerkbeheerders over het vervallen van de ondersteuning van legacy-encryptiesystemen, waarmee deze problemen dus worden opgelost. Er is wel achterwaartse compatibiliteit, in de zin dat er wordt teruggevallen op TLS 1.2 als een van de twee partijen niet in staat is om TLS 1.3 te gebruiken. Om een stokje te steken voor MitM-aanvallen wordt een afgedwongen downgrade naar 1.2 als 1.3 wel beschikbaar is opgemerkt en de verbinding beëindigd.

Er zijn nog steeds servers die nóg oudere versies van TLS dan 1.2 gebruiken en er zijn zelfs servers die nog het originele SSL-protocol gebruiken. Als jij een van de beheerders van zo'n server bent, is de tijd gekomen om te upgraden en de tussenstappen over te slaan om meteen gebruik te maken van TLS 1.3, zodat je bijvoorbeeld recente browsers kunt blijven ondersteunen.

Gehele verhaal kan men hier nalezen en de nadelen van eerdere versies

25-02-2020 01:42
#2459

Blijkt ineens toch TLS 1.3 op de server te staan, lekker verwarrend